// A Sky Factory example
//title alein desert
//Sky factory stuff
//Best View: Width =800 Height =400

#declare P_CloudLn = pigment{rgbt 1}
#declare P_CloudLf =
   pigment {
    wrinkles
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0   rgbt <1,1,1,1> ]
        [0.1 rgb<0.75,0.75,0.75> ]
        [0.5 rgbt<1,1,1,1> ]
   }
    scale <6, 1, 6>
    translate<5,0,0> 
    rotate <0,60,0> 
   }
#declare P_CloudMn =
   pigment {
    wrinkles
    turbulence 0.1
    omega 0.707
    lambda 2.2
    color_map {
        [0.5 rgbt <1,1,1,1> ]
        [0.8 rgb<0.8,0.8,0.8> ]
        [1   rgb<0.7,0.7,0.7> ]
   }
    scale <0.5, 0.15, 1>
    translate<5,0,0> 
    rotate <0,60,0> 
   }
#declare P_CloudMf = pigment{rgbt 1}
#declare P_CloudHn =
   pigment {
    wrinkles
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0   rgbt <1,1,1,1> ]
        [0.1 rgb<0.75,0.75,0.75> ]
        [0.5 rgbt<1,1,1,1> ]
   }
    scale <6, 1, 6>
    translate<5,0,0> 
    rotate <0,60,0> 
   }
#declare P_CloudHf = pigment{rgbt 1}
#declare LRsky=union{
  box{<-249999,-499,-89> ,<249999,499,19999> 
     pigment{gradient z
           pigment_map{[0.1 P_CloudLn scale <0.0100005,0.000450022,0.0100005> ]
                       [0.5 P_CloudLf scale <0.0450022,0.00450022,0.0450022> ]}
           turbulence<0,0,0> 
           scale 19999}
    finish{ambient<0.9,0.9,0.9>  diffuse 0}
    hollow}
  box{<-250000,-500,-90> ,<250000,500,20000> 
     pigment{gradient z
           pigment_map{[0.2 P_CloudMn scale <0.025,0.00045,0.01> ]
                       [0.4 P_CloudMf scale <0.1,0.105,0.1> ]}
           turbulence<0,0,0> 
           scale 20000}
    finish{ambient<0.9,0.9,1>  diffuse 0}
    no_shadow
    hollow}
  box{<-250001,-501,-91> ,<250001,501,20001> 
     pigment{gradient z
           pigment_map{[0.1 P_CloudHn scale <0.0099995,0.000449977,0.0099995> ]
                       [0.5 P_CloudHf scale <0.099995,0.104995,0.099995> ]}
           turbulence<0,0,0> 
           scale 20001}
    finish{ambient<0.9,0.9,0.9>  diffuse 0}
    no_shadow
    hollow}
 }

object{LRsky}

sky_sphere{pigment{cylindrical
  color_map{[0 rgb<0.8196,0.57372,0.49568> ][0.9 rgb<1,0.7,0.78904> ]}
  scale .5
  rotate x*90
  warp{turbulence<0.2,0.2,0.2> }
 rotate <-7,-20,0> 
 }}

//______Perview camera_______
 camera{ location <0,0,0>
         look_at <0,0,1>
         right x*image_width/image_height
       }

//----------added stuff---------
 //ground
 plane{y,-10 pigment{rgb<1.0000,0.7961,0.6275>}
       normal{granite scale 20}// rgb<.2,.4,.5>} \
      }

 //sun
 sphere{0,100 pigment{rgb<1,.8,.8>} 
       finish{ambient 1 diffuse 0}
       translate z*5000  rotate <-7,-20,0> }
 
 light_source{<0,900,500> color rgb 1 parallel point_at<0,0,0>}

